QGIS doesn't open in HiDPI mode on OS X with retina display.
Status: Closed

Priority: Normal

Assignee:

Category: OsX UI

Affected QGIS version:master Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23289

Description

According to 2.16 changelog, there is an improved HiDPI support. But it's not enabled by default and I have problems enabling it.

Attached is a comparison of QGIS and Safari windows on the same retina display. QGIS still has way less pixels and looks blurry.

This overall "low-res"-ness also affects the map itself - like there is no visible difference in line widths below 0.26px (compared to image

rendered with Mapnik, where it's definitely visible).

Info.plist file in QGIS App folder contains:

<key>NSHighResolutionCapable</key>

  <string>False</string>

Changing this value to True doesn't change anything. Tested on QGIS 2.16 and master built with Homebrew.

History

#1 - 2016-07-27 03:08 PM - Nyall Dawson

This can't be properly fixed until we move to Qt5 builds - ie, QGIS 3.0.

#2 - 2017-05-01 01:03 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2018-08-16 08:43 AM - Denis Rouzaud

- Status changed from Open to Closed

- Description updated

fixed in 3.x

#4 - 2018-08-16 08:44 AM - Denis Rouzaud

- Resolution set to fixed/implemented
